package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.dao.SysUserTenantDao;
import com.ym.mec.biz.dal.entity.SysUserTenant;
import com.ym.mec.biz.dal.vo.SysUserTenantVo;

import java.util.List;

/**
 * 平台用户与机构关系表(SysUserTenant)表服务接口
 *
 * @author hgw
 * @since 2022-03-02 11:09:34
 */
public interface SysUserTenantService extends IService<SysUserTenant> {

    SysUserTenantDao getDao();

    List<SysUserTenantVo> queryUserTenant(Integer userId);

    void deleteByUserId(Integer userId);

}

